% demo_nrsfm_missing

% load the 2D trajectories in W and the missing data matrix D
load data_nrsfm_demo.mat

% define the projector for the non-rigid structure from motion problem
handle_proj = @proj_deformable_approx;


% call the balm optimiser
[Wfill,M,S,R,l,t,err_1,timing] = balm_missing_nrsfm(W2d,D30_R1,4,handle_proj,100,10);

R33 = create_rot_from_stiefel(R);

% plot some frames
plot_display_nrsfm(S, l', R33, [1:5:74])
